Update object type
curl --request PATCH \
--url https://api.sapt.ai/projects/{projectId}/object-types/{typeSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"schema": {},
"statuses": [
{
"key": "<string>",
"label": "<string>",
"color": "<string>",
"isInitial": true,
"isTerminal": true
}
],
"icon": "<string>",
"color": "<string>",
"isPublicIngestable": true,
"linksToPerson": true,
"rejectUnknownFields": true,
"moderationConfig": {
"enabled": true,
"aiModel": "<string>",
"aiThreshold": 50,
"customPrompt": "<string>"
},
"identityFields": [
"<string>"
],
"acknowledgedFieldRemovals": [
"<string>"
]
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/object-types/{typeSlug}"
payload = {
"name": "<string>",
"description": "<string>",
"schema": {},
"statuses": [
{
"key": "<string>",
"label": "<string>",
"color": "<string>",
"isInitial": True,
"isTerminal": True
}
],
"icon": "<string>",
"color": "<string>",
"isPublicIngestable": True,
"linksToPerson": True,
"rejectUnknownFields": True,
"moderationConfig": {
"enabled": True,
"aiModel": "<string>",
"aiThreshold": 50,
"customPrompt": "<string>"
},
"identityFields": ["<string>"],
"acknowledgedFieldRemovals": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
schema: {},
statuses: [
{
key: '<string>',
label: '<string>',
color: '<string>',
isInitial: true,
isTerminal: true
}
],
icon: '<string>',
color: '<string>',
isPublicIngestable: true,
linksToPerson: true,
rejectUnknownFields: true,
moderationConfig: {enabled: true, aiModel: '<string>', aiThreshold: 50, customPrompt: '<string>'},
identityFields: ['<string>'],
acknowledgedFieldRemovals: ['<string>']
})
};
fetch('https://api.sapt.ai/projects/{projectId}/object-types/{typeSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objectType": {
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "system",
"icon": "<string>",
"color": "<string>",
"schema": {},
"statuses": [
{
"key": "<string>",
"label": "<string>",
"color": "<string>",
"isInitial": true,
"isTerminal": true,
"capiStage": "lead"
}
],
"isPublicIngestable": true,
"isHiddenFromUi": true,
"linksToPerson": true,
"linksToCompany": true,
"identityFields": [
"<string>"
],
"rejectUnknownFields": true,
"relations": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}CRM
Update object type
Partially update a CRM object type, including schema fields and spine-linking behavior such as linksToPerson and identityFields.
PATCH
/
projects
/
{projectId}
/
object-types
/
{typeSlug}
Update object type
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Body
application/json
Required string length:
1 - 80Maximum string length:
500Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
60Pattern:
^#[0-9a-fA-F]{3,8}$Show child attributes
Show child attributes
Required string length:
1 - 64Required string length:
1 - 64Response
Success
Show child attributes
Show child attributes